<?php 

class views_handler_filter_sport_game_home_or_away extends views_handler_filter_in_operator {

  var $value_form_type = 'select';

  function get_value_options() {
    if (isset($this->value_options)) {
      return;
    }
    
    if (isset($this->view->args[0])) {
      $teams = sport_team_teams_in_season($this->view->args[0]);
    }
    else {
      $teams = sport_team_active_teams();
    }
    
    $this->value_options = array();
    foreach ($teams as $team) {
      $this->value_options[$team->nid] = $team->title;
    }
  }
  
  function query() {
    if (empty($this->value)) {
      return;
    }
    
    $team_nid = $this->value[0];
        
    $field = content_fields('field_sport_game_home_team');
    $table_alias = content_views_tablename($field);
    $this->table_alias = $table_alias;
    $home_field = $table_alias . '.field_sport_game_home_team_nid';
    $away_field = $table_alias . '.field_sport_game_away_team_nid';
    
    $this->ensure_my_table();

    $group = $this->query->set_where_group('OR');

    $this->query->add_where($group, "$home_field = %d", $team_nid);
    $this->query->add_where($group, "$away_field = %d", $team_nid);
  }
  
}
