<?php

/**
 * @file
 * TODO: description
 */

/**
 * Implementation of hook_views_plugins().
 */
function sport_game_views_plugins() {
  return array(
    'row' => array(
      'sport_game_latest' => array(
        'title' => t('Sport game latest'),
        'help' => t('...'),
        'handler' => 'views_plugin_row_sport_game_latest',
        'path' => drupal_get_path('module', 'sport_game') . '/plugins',
        'base' => array('node'),
        'type' => 'normal',
      ),
      'sport_game_upcoming' => array(
        'title' => t('Sport game upcoming'),
        'help' => t('...'),
        'handler' => 'views_plugin_row_sport_game_upcoming',
        'path' => drupal_get_path('module', 'sport_game') . '/plugins',
        'base' => array('node'),
        'type' => 'normal',
      ),
    ),
  );
}

/**
 * Implementation of hook_views_handlers().
 */
function sport_game_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'sport_game') . '/handlers',
    ),
    'handlers' => array(
      'views_handler_argument_sport_game_home_or_away' => array(
        'parent' => 'content_handler_argument_numeric',
      ),
      'views_handler_filter_sport_game_home_or_away' => array(
        'parent' => 'views_handler_filter_in_operator',
      )
    ),
  );
}

/**
 * Implementation of hook_views_data()
 */
function sport_game_views_data() {
  
  $field = content_fields('field_sport_game_home_team');
  $temp = content_views_field_views_data($field);
  $table_alias = content_views_tablename($field);
  
  $data['sport_game_home_or_away_team'] = array(
    'table' => $temp[$table_alias]['table'],
    'field_sport_game_home_or_away_team' => array(
      'group' => t('Content'),
      'title' => t('Home or away team'),
      'title short' => t('Home or away'),
      'help' => '',
      'argument' => array(
        'handler' => 'views_handler_argument_sport_game_home_or_away',
      ),
      'filter' => array(
        'handler' => 'views_handler_filter_sport_game_home_or_away',
      ),
    ),
  );

  return $data;
}

